/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "NetCDF", "index.html", [
    [ "Introduction and Overview", "index.html", "index" ],
    [ "Building the NetCDF-4.2 and later Fortran libraries", "building_netcdf_fortran.html", [
      [ "Building with shared libraries", "building_netcdf_fortran.html#building_fortran_shared_libraries", null ],
      [ "Building with static libraries", "building_netcdf_fortran.html#building_fortran_with_static_libraries", null ],
      [ "Linking your programs with netCDF Fortran libraries", "building_netcdf_fortran.html#linking_against_netcdf_fortran", null ],
      [ "Specifying The Environment for Building", "building_netcdf_fortran.html#specify_build_env_fortran", [
        [ "Environment Variable Description Notes", "building_netcdf_fortran.html#autotoc_md84", null ]
      ] ]
    ] ],
    [ "Installing and Using netCDF-C Libraries in Windows", "winbin.html", [
      [ "Getting pre-built netCDF-C Libraries for Visual Studio", "winbin.html#msvc-prebuilt", [
        [ "Included Dependencies", "winbin.html#msvc-inc-deps", null ],
        [ "Latest Release (netCDF-C 4.8.0)", "winbin.html#msvc-latest-release", null ]
      ] ],
      [ "Using the netCDF-C Libraries with Visual Studio", "winbin.html#msvc-using", [
        [ "Install Hierarchy", "winbin.html#msvc-install-hierarchy", null ]
      ] ],
      [ "Notes", "winbin.html#msvc-notes", null ]
    ] ],
    [ "Appendix A: Attribute Conventions", "attribute_conventions.html", [
      [ "Conventions", "attribute_conventions.html#autotoc_md85", null ],
      [ "Provenance Attributes", "attribute_conventions.html#autotoc_md86", null ]
    ] ],
    [ "Appendix B. File Format Specifications", "file_format_specifications.html", [
      [ "The NetCDF Classic Format Specification", "file_format_specifications.html#classic_format_spec", null ],
      [ "Notes on Computing File Offsets", "file_format_specifications.html#computing_offsets", [
        [ "Examples", "file_format_specifications.html#offset_examples", null ]
      ] ],
      [ "The 64-bit Offset Format", "file_format_specifications.html#offset_format_spec", null ],
      [ "The NetCDF-4 Format", "file_format_specifications.html#netcdf_4_spec", [
        [ "Creation Order", "file_format_specifications.html#creation_order", null ],
        [ "Groups", "file_format_specifications.html#groups_spec", null ],
        [ "Dimensions with HDF5 Dimension Scales", "file_format_specifications.html#dims_spec", null ],
        [ "Dimensions without HDF5 Dimension Scales", "file_format_specifications.html#dim_spec2", null ],
        [ "Dimension and Coordinate Variable Ordering", "file_format_specifications.html#dim_spec3", null ],
        [ "Variables", "file_format_specifications.html#vars_spec", null ],
        [ "Attributes", "file_format_specifications.html#atts_spec", null ],
        [ "User-Defined Data Types", "file_format_specifications.html#user_defined_spec", null ],
        [ "Compression", "file_format_specifications.html#compression_spec", null ]
      ] ],
      [ "The NetCDF-4 Classic Model Format", "file_format_specifications.html#netcdf_4_classic_spec", null ],
      [ "HDF4 SD Format", "file_format_specifications.html#hdf4_sd_format", null ]
    ] ],
    [ "Remote Dataset Access Using HTTP Byte Ranges", "byterange.html", [
      [ "Introduction", "byterange.html#byterange_intro", null ],
      [ "Configuration", "byterange.html#byterange_config", null ],
      [ "Run-time Usage", "byterange.html#byterange_url", null ],
      [ "Architecture", "byterange.html#byterange_arch", [
        [ "NetCDF Classic Access", "byterange.html#autotoc_md87", null ],
        [ "NetCDF Enhanced Access", "byterange.html#autotoc_md88", null ]
      ] ],
      [ "The dhttp.c Code", "byterange.html#byterange_dhttp", [
        [ "nc_http_open", "byterange.html#autotoc_md89", null ],
        [ "nc_http_read", "byterange.html#autotoc_md90", null ],
        [ "nc_http_close", "byterange.html#autotoc_md91", null ]
      ] ],
      [ "Point of Contact", "byterange.html#byterange_poc", null ]
    ] ],
    [ "NetCDF In-Memory Support", "md_inmemory.html", [
      [ "NetCDF In-Memory Support", "md_inmemory.html#inmemory", [
        [ "Introduction", "md_inmemory.html#inmemory_intro", null ],
        [ "Enabling Diskless File Access", "md_inmemory.html#Enable_Diskless", [
          [ "Diskless File Open", "md_inmemory.html#autotoc_md92", null ],
          [ "Diskless File Create", "md_inmemory.html#autotoc_md93", null ]
        ] ],
        [ "Enabling Inmemory File Access", "md_inmemory.html#Enable_Inmemory", [
          [ "In-Memory API", "md_inmemory.html#autotoc_md94", null ],
          [ "The <strong>nc_open_mem</strong> Function", "md_inmemory.html#autotoc_md95", null ],
          [ "The <strong>nc_open_memio</strong> Function", "md_inmemory.html#autotoc_md96", null ],
          [ "The <strong>nc_create_mem</strong> Function", "md_inmemory.html#autotoc_md97", null ],
          [ "The <strong>nc_close_memio</strong> Function", "md_inmemory.html#autotoc_md98", null ],
          [ "Support for Writing with <em>NC_MEMIO_LOCKED</em>", "md_inmemory.html#autotoc_md99", null ]
        ] ],
        [ "Enabling MMAP File Access", "md_inmemory.html#Enable_MMAP", null ],
        [ "Known Bugs", "md_inmemory.html#Inmemory_Bugs", null ],
        [ "References", "md_inmemory.html#Inmemory_References", null ],
        [ "Point of Contact", "md_inmemory.html#autotoc_md100", null ]
      ] ]
    ] ],
    [ "NetCDF Authorization Support", "md_auth.html", [
      [ "NetCDF Authorization Support", "md_auth.html#auth", [
        [ "Introduction", "md_auth.html#auth_intro", null ],
        [ "URL-Based Authentication", "md_auth.html#auth_url", null ],
        [ "RC File Authentication", "md_auth.html#auth_dodsrc", [
          [ "Search Order", "md_auth.html#autotoc_md101", null ],
          [ "RC File Format", "md_auth.html#autotoc_md102", null ],
          [ "URL Constrained RC File Entries", "md_auth.html#autotoc_md103", null ]
        ] ],
        [ "Authorization-Related Keys", "md_auth.html#auth_keys", [
          [ "Password Authentication", "md_auth.html#autotoc_md104", null ],
          [ "Cookie Jar", "md_auth.html#autotoc_md105", null ],
          [ "Certificate Authentication", "md_auth.html#autotoc_md106", null ]
        ] ],
        [ "Password Escaping", "md_auth.html#auth_userpwdescape", null ],
        [ "Redirection-Based Authentication", "md_auth.html#auth_redir", null ],
        [ "Client-Side Certificates", "md_auth.html#auth_clientcerts", null ],
        [ "References", "md_auth.html#autotoc_md107", null ],
        [ "Appendix A. All RC-File Keys", "md_auth.html#auth_allkeys", null ],
        [ "Appendix B. URS Access in Detail", "md_auth.html#auth_ursdetail", null ],
        [ "Appendix C. ESG Access in Detail", "md_auth.html#auth_esgdetail", [
          [ "Terminology", "md_auth.html#autotoc_md108", null ],
          [ "Initial Steps", "md_auth.html#autotoc_md109", null ],
          [ "Building the KeyStore", "md_auth.html#autotoc_md110", null ],
          [ "Building the TrustStore", "md_auth.html#autotoc_md111", null ],
          [ "Running the C Client", "md_auth.html#autotoc_md112", null ],
          [ "Script for creating Stores", "md_auth.html#autotoc_md113", null ]
        ] ],
        [ "Point of Contact", "md_auth.html#autotoc_md114", null ]
      ] ]
    ] ],
    [ "NetCDF Programming Notes", "programming_notes.html", "programming_notes" ],
    [ "Build Instructions for NetCDF-C using CMake", "netCDF-CMake.html", [
      [ "Overview", "netCDF-CMake.html#cmake_overview", null ],
      [ "Requirements", "netCDF-CMake.html#cmake_requirements", null ],
      [ "The CMake Build Process", "netCDF-CMake.html#cmake_build", [
        [ "Configuration", "netCDF-CMake.html#cmake_configuration", [
          [ "Common CMake Options", "netCDF-CMake.html#cmake_common_options", null ],
          [ "Configuring your build from the command line.", "netCDF-CMake.html#cmake_command_line", null ]
        ] ],
        [ "Building", "netCDF-CMake.html#cmake_building", null ],
        [ "Testing", "netCDF-CMake.html#cmake_testing", null ],
        [ "Installation", "netCDF-CMake.html#cmake_installation", null ]
      ] ],
      [ "See Also", "netCDF-CMake.html#cmake_see_also", null ]
    ] ],
    [ "FAQ", "faq.html", [
      [ "General", "faq.html#ncFAQGeneral", [
        [ "What Is netCDF?", "faq.html#What-Is-netCDF", null ],
        [ "How do I get the netCDF software package?", "faq.html#HowdoIgetthenetCDFsoftwarepackage", null ],
        [ "How do I convert netCDF data to ASCII or text?", "faq.html#How-do-I-convert-netCDF-data-to-ASCII-or-text", null ],
        [ "How do I convert ASCII or text data to netCDF?", "faq.html#How-do-I-convert-ASCII-or-text-data-to-netCDF", null ],
        [ "What is the best way to represent [some particular data] using netCDF?", "faq.html#What-is-the-best-way-to-represent-some-particular-data-using-netCDF", null ],
        [ "What convention should be used for the names of netCDF files?", "faq.html#What-convention-should-be-used-for-the-names-of-netCDF-files", null ],
        [ "Is there a mailing list for netCDF discussions and questions?", "faq.html#Is-there-a-mailing-list-for-netCDF-discussions-and-questions", null ],
        [ "Where are some examples of netCDF datasets?", "faq.html#Where-are-some-examples-of-netCDF-datasets", null ],
        [ "What is the best way to handle time using netCDF?", "faq.html#What-is-the-best-way-to-handle-time-using-netCDF", null ],
        [ "Who else uses netCDF?", "faq.html#Who-else-uses-netCDF", null ],
        [ "What are some references to netCDF?", "faq.html#What-are-some-references-to-netCDF", null ],
        [ "I'm submitting a paper for publication and want to include a citation for use of netCDF software. What reference should I use?", "faq.html#How-should-I-cite-use-of-netCDF-software", null ],
        [ "Is there a document describing the actual physical format for a Unidata netCDF file?", "faq.html#Is-there-a-document-describing-the-actual-physical-format-for-a-Unidata-netCDF-file", null ]
      ] ],
      [ "Installation and Porting", "faq.html#Installation-and-Porting", [
        [ "What does netCDF run on?", "faq.html#What-does-netCDF-run-on", null ],
        [ "How can I use current versions of netCDF-4 with Windows?", "faq.html#HowcanIusecu", null ],
        [ "How can I use netCDF-4.1 with Windows?", "faq.html#HowcanIusenetCDF41withWindows", null ],
        [ "How can I use netCDF-4 with Windows?", "faq.html#How-can-I-use-netCDF-4-with-Windows", null ],
        [ "How do I build and install netCDF for a specific development environment?", "faq.html#How-do-I-build-and-install-netCDF-for-a-specific-development-environment", null ],
        [ "How can I tell if I successfully built and installed netCDF?", "faq.html#How-can-I-tell-if-I-successfully-built-and-installed-netCDF", null ],
        [ "How can I tell what version I'm using?", "faq.html#How-can-I-tell-what-version-Im-using", null ],
        [ "Where does netCDF get installed?", "faq.html#Where-does-netCDF-get-installed", null ]
      ] ],
      [ "Formats, Data Models, and Software Releases", "faq.html#formatsdatamodelssoftwarereleases", [
        [ "How many netCDF formats are there, and what are the differences among them?", "faq.html#How-many-netCDF-formats-are-there-and-what-are-the-differences-among-them", null ],
        [ "How can I tell which format a netCDF file uses?", "faq.html#How-can-I-tell-which-format-a-netCDF-file-uses", null ],
        [ "How many netCDF data models are there?", "faq.html#How-many-netCDF-data-models-are-there", null ],
        [ "How many releases of the C-based netCDF software are supported?", "faq.html#How-many-releases-of-the-C-based-netCDF-software-are-supported", null ],
        [ "Should I get netCDF-3 or netCDF-4?", "faq.html#Should-I-get-netCDF-3-or-netCDF-4", null ],
        [ "What is the \"enhanced data model\" of netCDF-4, and how does it differ from the netCDF-3 classic data model?", "faq.html#whatisenhanceddatamodel", null ],
        [ "Why doesn't the new netCDF-4 installation I built seem to support any of the new features?", "faq.html#Whydoesnt-the-new-netCDF-4-installation-I-built-seem-to-support-any-of-the-new-features", null ],
        [ "Will Unidata continue to support netCDF-3?", "faq.html#Will-Unidata-continue-to-support-netCDF-3", null ],
        [ "To read compressed data, what changes do I need to make to my netCDF-3 program?", "faq.html#To-read-compressed-data-what-changes-do-I-need-to-make-to-my-netCDF-3-program", null ],
        [ "To write compressed data, what changes do I need to make to my netCDF-3 program?", "faq.html#To-write-compressed-data-what-changes-do-I-need-to-make-to-my-netCDF-3-program", null ],
        [ "If I create netCDF-4 classic model files, can they be read by IDL, MATLAB, R, Python and ArcGIS?", "faq.html#If-I-create-netCDF-4-classic-model-files-can-they-be-read-by-IDL-MATLAB-R-Python-and-ArcGIS", null ],
        [ "What applications are able to deal with <em>arbitrary</em> netCDF-4 files?", "faq.html#What-applications-are-able-to-deal-with-arbitrary-netCDF-4-files", null ],
        [ "How can I convert netCDF-3 files into netCDF-4 files?", "faq.html#How-can-I-convert-netCDF-3-files-into-netCDF-4-files", null ],
        [ "Why might someone want to convert netCDF-4 files into netCDF-3 files?", "faq.html#Why-might-someone-want-to-convert-netCDF-4-files-into-netCDF-3-files", null ],
        [ "How can I convert netCDF-4 files into netCDF-3 files?", "faq.html#How-can-I-convert-netCDF-4-files-into-netCDF-3-files", null ],
        [ "How can I convert HDF5 files into netCDF-4 files?", "faq.html#How-can-I-convert-HDF5-files-into-netCDF-4-files", null ],
        [ "How can I convert netCDF-4 files into HDF5 files?", "faq.html#How-can-I-convert-netCDF-4-files-into-HDF5-files", null ],
        [ "Why aren't different extensions used for the different formats, for example \".nc3\" and \".nc4\"?", "faq.html#why-arent-different-extensions-used", null ],
        [ "Why is the default of netCDF-4 to continue to create classic files, rather than netCDF-4 files?", "faq.html#Why-is-the-default-of-netCDF-4-to-continue-to-create-classic-files-rather-than-netCDF-4-files", null ],
        [ "Can netCDF-4 read arbitrary HDF5 files?", "faq.html#Can-netCDF-4-read-arbitrary-HDF5-files", null ],
        [ "—enable-shared-but-it-looks-like-the-libraries-it-installed-were-netCDF-4-with-names-like-libnetcdf4dylib-Whats-going-on I installed netCDF-3 with –enable-shared, but it looks like the libraries it installed were netCDF-4, with names like libnetcdf.4.dylib. What's going on?", "faq.html#I-installed-netCDF-3-with", null ],
        [ "NetCDF-3.6.3 permits UTF-8 encoded Unicode names. Won't this break backward compatibility with previous software releases that didn't allow such names?", "faq.html#NetCDF-363-permits-UTF-8-encoded-Unicode-names-Wont-this-break-backward-compatibility-with-previous-software-releases-that-didnt-allow-such-names", null ],
        [ "How difficult is it to convert my application to handle arbitrary netCDF-4 files?", "faq.html#How-difficult-is-it-to-convert-my-application-to-handle-arbitrary-netCDF-4-files", null ]
      ] ],
      [ "Shared Libraries", "faq.html#Shared-Libraries", [
        [ "What are shared libraries?", "faq.html#What-are-shared-libraries", null ],
        [ "Can I build netCDF with shared libraries?", "faq.html#Can-I-build-netCDF-with-shared-libraries", null ],
        [ "How do I use netCDF shared libraries?", "faq.html#How-do-I-use-netCDF-shared-libraries", null ]
      ] ],
      [ "Large File Support", "faq.html#Large-File-Support", [
        [ "Was it possible to create netCDF files larger than 2 GiBytes before version 3.6?", "faq.html#Was-it-possible-to-create-netCDF-files-larger-than-2-GiBytes-before-version-36", null ],
        [ "What is Large File Support?", "faq.html#What-is-Large-File-Support", null ],
        [ "What does Large File Support have to do with netCDF?", "faq.html#What-does-Large-File-Support-have-to-do-with-netCDF", null ],
        [ "Do I have to know which netCDF file format variant is used in order to access or modify a netCDF file?", "faq.html#Do-I-have-to-know-which-netCDF-file-format-variant-is-used-in-order-to-access-or-modify-a-netCDF-file", null ],
        [ "Will future versions of the netCDF library continue to support accessing files in the classic format?", "faq.html#Will-future-versions-of-the-netCDF-library-continue-to-support-accessing-files-in-the-classic-format", null ],
        [ "Should I start using the new 64-bit offset format for all my netCDF files?", "faq.html#Should-I-start-using-the-new-64-bit-offset-format-for-all-my-netCDF-files", null ],
        [ "How can I tell if a netCDF file uses the classic format (CDF-1), 64-bit offset format (CDF-2) or 64-bit data format (CDF-5)?", "faq.html#How-can-I-tell-if-a-netCDF-file-uses-the-classic-format-or-64-bit-offset-format", null ],
        [ "What happens if I create a 64-bit offset format netCDF file and try to open it with an older netCDF application that hasn't been linked with netCDF 3.6?", "faq.html#What-happens-if-I-create-a-64-bit-offset-format-netCDF-file-and-try-to-open-it-with-an-older-netCDF-application-that-hasnt-been-linked-with-netCDF-36", null ],
        [ "Can I create 64-bit offset files on 32-bit platforms?", "faq.html#Can-I-create-64-bit-offset-files-on-32-bit-platforms", null ],
        [ "How do I create a 64-bit offset netCDF file from C, Fortran-77, Fortran-90, or C++?", "faq.html#How-do-I-create-a-64-bit-offset-netCDF-file-from-C-Fortran-77-Fortran-90-or-Cpp", null ],
        [ "How do I create a 64-bit offset netCDF file using the ncgen utility?", "faq.html#How-do-I-create-a-64-bit-offset-netCDF-file-using-the-ncgen-utility", null ],
        [ "Have all netCDF size limits been eliminated?", "faq.html#Have-all-netCDF-size-limits-been-eliminated", null ],
        [ "Why are variables still limited in size?", "faq.html#Why-are-variables-still-limited-in-size", null ],
        [ "How can I write variables larger than 4 GiB?", "faq.html#How-can-I-write-variables-larger-than-4-GiB", null ],
        [ "Why do I get an error message when I try to create a file larger than 2 GiB with the new library?", "faq.html#Why-do-I-get-an-error-message-when-I-try-to-create-a-file-larger-than-2-GiB-with-the-new-library", null ],
        [ "Do I need to use special compiler flags to compile and link my applications that use netCDF with Large File Support?", "faq.html#Do-I-need-to-use-special-compiler-flags-to-compile-and-link-my-applications-that-use-netCDF-with-Large-File-Support", null ],
        [ "Is it possible to create a \"classic\" format netCDF file with netCDF version 3.6.0 that cannot be accessed by applications compiled and linked against earlier versions of the library?", "faq.html#isitpossibleclassic360", null ]
      ] ],
      [ "NetCDF and Other Software", "faq.html#NetCDF-and-Other-Software", [
        [ "What other software is available for accessing, displaying, and manipulating netCDF data?", "faq.html#What-other-software-is-available-for-accessing-displaying-and-manipulating-netCDF-data", null ],
        [ "What other data access interfaces and formats are available for scientific data?", "faq.html#What-other-data-access-interfaces-and-formats-are-available-for-scientific-data", null ],
        [ "What is the connection between netCDF and CDF?", "faq.html#What-is-the-connection-between-netCDF-and-CDF", null ],
        [ "What is the connection between netCDF and HDF?", "faq.html#What-is-the-connection-between-netCDF-and-HDF", null ],
        [ "Has anyone implemented client-server access for netCDF data?", "faq.html#Has-anyone-implemented-client-server-access-for-netCDF-data", null ],
        [ "How do I convert between GRIB and netCDF?", "faq.html#How-do-I-convert-between-GRIB-and-netCDF", null ],
        [ "Problems and Bugs", "faq.html#autotoc_md161", null ],
        [ "Can I recover data from a netCDF file that was not closed properly?", "faq.html#Can-I-recover-data-from-a-netCDF-file-that-was-not-closed-properly", null ],
        [ "Is there a list of reported problems and workarounds?", "faq.html#Is-there-a-list-of-reported-problems-and-workarounds", null ],
        [ "How do I make a bug report?", "faq.html#How-do-I-make-a-bug-report", null ],
        [ "How do I search through past problem reports?", "faq.html#How-do-I-search-through-past-problem-reports", null ]
      ] ],
      [ "Programming with NetCDF", "faq.html#Programming-with-NetCDF", [
        [ "Which programming languages have netCDF interfaces?", "faq.html#Which-programming-languages-have-netCDF-interfaces", null ],
        [ "Are the netCDF libraries thread-safe?", "faq.html#Are-the-netCDF-libraries-thread-safe", null ],
        [ "How does the C++ interface differ from the C interface?", "faq.html#How-does-the-Cpp-interface-differ-from-the-C-interface", null ],
        [ "How does the Fortran interface differ from the C interface?", "faq.html#How-does-the-Fortran-interface-differ-from-the-C-interface", null ],
        [ "How do the Java, Perl, Python, Ruby, ... interfaces differ from the C interface?", "faq.html#How-do-the-Java-Perl-Python-Ruby-interfaces-differ-from-the-C-interface", null ],
        [ "How do I handle errors in C?", "faq.html#How-do-I-handle-errors-in-C", null ]
      ] ],
      [ "CMake-Related Frequently Asked Questions", "faq.html#cmake_faq", [
        [ "How can I see the options available to CMake?", "faq.html#listoptions", null ],
        [ "How do I specify how to build a shared or static library?", "faq.html#sharedstatic", null ],
        [ "Can I build both shared and static libraries at the same time with cmake?", "faq.html#sharedstaticboth", null ],
        [ "How can I specify linking against a particular library?", "faq.html#partlib", null ],
        [ "What if I want to link against multiple libraries in a non-standard location", "faq.html#nonstdloc", null ],
        [ "How can I specify a Parallel Build using HDF5", "faq.html#parallelhdf", null ]
      ] ],
      [ "Plans", "faq.html#Plans", [
        [ "What other future work on netCDF is planned?", "faq.html#What-other-future-work-on-netCDF-is-planned", null ]
      ] ]
    ] ],
    [ "Known Problems with netCDF", "known_problems.html", [
      [ "Known Problems with netCDF 4.3.0", "known_problems.html#autotoc_md173", null ],
      [ "Known Problems with netCDF 4.2", "known_problems.html#autotoc_md174", null ],
      [ "Known Problems with netCDF 4.1.3", "known_problems.html#autotoc_md175", null ],
      [ "Known Problems with netCDF 4.1.2", "known_problems.html#autotoc_md176", null ],
      [ "Known Problems with netCDF 4.1.1", "known_problems.html#autotoc_md177", [
        [ "The clang compiler (default on OSX 10.9 Mavericks) detects error building ncgen3", "known_problems.html#autotoc_md179", null ],
        [ "Fortran options of nc-config utility (–fflags, –flibs, –has-f90) don't work correctly", "known_problems.html#autotoc_md180", null ],
        [ "Using \"--with-hdf5=...\" configure option doesn't seem to work", "known_problems.html#autotoc_md181", null ],
        [ "nccopy -d and -c options for compression and chunking don't work on netCDF-4 input files", "known_problems.html#autotoc_md182", null ],
        [ "Debug statement left in F90 source", "known_problems.html#autotoc_md183", null ],
        [ "Ncgen is known to produce bad output.", "known_problems.html#autotoc_md184", null ],
        [ "Building with Intel Fortran on Mac OS X", "known_problems.html#autotoc_md185", null ],
        [ "Accessing OPeNDAP servers using a constraint expression", "known_problems.html#autotoc_md186", null ],
        [ "Configuring with \"--enable-benchmarks\" option", "known_problems.html#autotoc_md187", null ],
        [ "Problem with disabling fill mode when using Lustre (or other large blksize file system)", "known_problems.html#autotoc_md188", null ],
        [ "\"make check\" fails when linked with HDF5-1.8.6", "known_problems.html#autotoc_md189", null ],
        [ "Make tries to regenerate documentation with texi2dvi command", "known_problems.html#autotoc_md190", null ],
        [ "Accessing a multidimensional variable with more than 4 billion values on a 32-bit platform", "known_problems.html#autotoc_md191", null ]
      ] ],
      [ "Known Problems with netCDF 4.0.1", "known_problems.html#autotoc_md192", [
        [ "Including mpi.h before netcdf.h breaks MPI", "known_problems.html#autotoc_md193", null ],
        [ "With Sun C compiler, 64-bit ncdump fails", "known_problems.html#autotoc_md194", null ],
        [ "Portland Group compilers can't build shared fortran 90 library or shared C++ library", "known_problems.html#autotoc_md195", null ],
        [ "Intel 10.1 64-bit C++ compiler problem", "known_problems.html#autotoc_md196", null ],
        [ "Intel 9.1 C++ compiler problem doesn't build C++ API", "known_problems.html#autotoc_md197", null ],
        [ "ncgen/ncdump test failure with Intel version 11 compilers", "known_problems.html#autotoc_md198", null ],
        [ "\"ncdump -v group/var\" reports \"group not found\"", "known_problems.html#autotoc_md199", null ]
      ] ],
      [ "Known Problems with netCDF 4.0", "known_problems.html#autotoc_md200", [
        [ "Ncdump assumes default fill value for unsigned byte data", "known_problems.html#autotoc_md201", null ],
        [ "Ncdump of compound type with array field", "known_problems.html#autotoc_md202", null ],
        [ "Memory leak with VLEN attributes", "known_problems.html#autotoc_md203", null ],
        [ "Error dyld: Symbol not found: _H5P_CLS_FILE_ACCESS_g", "known_problems.html#autotoc_md204", null ],
        [ "Fortran90 interface Using Intel ifort under Cygwin", "known_problems.html#autotoc_md206", null ],
        [ "ncdump bug for filenames beginning with a numeric character", "known_problems.html#autotoc_md207", null ]
      ] ],
      [ "Known Problems with netCDF 3.6.3", "known_problems.html#autotoc_md208", [
        [ "Can't build shared library with F90 API on IRIX", "known_problems.html#autotoc_md210", null ]
      ] ],
      [ "Known Problems with netCDF 3.6.2", "known_problems.html#autotoc_md212", [
        [ "Setting ARFLAGS does not work", "known_problems.html#autotoc_md214", null ],
        [ "Bugs in support for variables larger than 4 GiB", "known_problems.html#autotoc_md215", null ],
        [ "Bug in C++ interface prevents creating 64-bit offset format files", "known_problems.html#autotoc_md216", null ],
        [ "The tests in nf_test fail with seg fault with the Absoft Version 10.0 fortran compiler.", "known_problems.html#autotoc_md217", null ],
        [ "Shared libraries do not work with the NAG fortran compiler.", "known_problems.html#autotoc_md218", null ],
        [ "The documented –enable-64bit option doesn't work.", "known_problems.html#autotoc_md219", null ],
        [ "Building netCDF-3.6.2 with gfortran version 4.2.x or 4.3.x fails.", "known_problems.html#autotoc_md220", null ],
        [ "Building shared libraries on Macintosh with g95 fails.", "known_problems.html#autotoc_md221", null ],
        [ "Building shared libraries on HPUX with native tools results in only static libraries.", "known_problems.html#autotoc_md222", null ],
        [ "Building shared libraries on AIX fails.", "known_problems.html#autotoc_md223", null ],
        [ "Building with older versions of g++ fails.", "known_problems.html#autotoc_md224", null ],
        [ "The .NET build files are not included in the 3.6.2 release.", "known_problems.html#autotoc_md225", null ],
        [ "Snapshot .NET build files do not work for Visual Studio 8.0 beta.", "known_problems.html#autotoc_md226", null ],
        [ "The -disable-v2 option causes the fortran build to fail with some fortran compilers.", "known_problems.html#autotoc_md227", null ],
        [ "The –disable-c option does not work.", "known_problems.html#autotoc_md228", null ]
      ] ],
      [ "Known Problems with netCDF 3.6.1", "known_problems.html#autotoc_md229", [
        [ "Building on IBM Bluegene login node (SUSE Linux)", "known_problems.html#autotoc_md230", null ],
        [ "Linux x86 Fedora4 with Intel ifort 9.0 compiler", "known_problems.html#autotoc_md231", null ]
      ] ],
      [ "Known Problems with netCDF 3.6.0", "known_problems.html#autotoc_md233", [
        [ "nctest fails on IRIX platform", "known_problems.html#autotoc_md235", null ],
        [ "C++ API doesn't build on Irix", "known_problems.html#autotoc_md236", null ],
        [ "Potentially serious bug with 64-bit offset files", "known_problems.html#autotoc_md237", null ],
        [ "Cygwin Build Doesn't Work", "known_problems.html#autotoc_md238", null ],
        [ "Windows DLL doesn't include F77 API", "known_problems.html#autotoc_md239", null ],
        [ "F90 tests fail with Portland F90 compiler", "known_problems.html#autotoc_md240", null ],
        [ "Config doesn't find working F77 or F90 compiler on AIX", "known_problems.html#autotoc_md241", null ],
        [ "xlf90 fails to compile test program during configure on AIX", "known_problems.html#autotoc_md242", null ],
        [ "F90 functions not added to library on AIX", "known_problems.html#autotoc_md243", null ],
        [ "Problems with fortran compile because of -Df2cFortran being added by configure\"", "known_problems.html#autotoc_md244", null ],
        [ "Message: \"ncgenyy.c is out-of-date with respect to ncgen.l\"", "known_problems.html#autotoc_md245", null ],
        [ "Configure help specifies FCFLAGS instead of FFLAGS", "known_problems.html#autotoc_md246", null ],
        [ "Specifying a count length of zero returns an error instead of no data", "known_problems.html#autotoc_md247", null ],
        [ "C++ library doesn't build under Cygwin", "known_problems.html#autotoc_md248", null ],
        [ "Large file problems in Visual C++ compile", "known_problems.html#autotoc_md249", null ],
        [ "When using TEMP_LARGE, need a trailing slash", "known_problems.html#autotoc_md250", null ]
      ] ]
    ] ],
    [ "COPYRIGHT", "copyright.html", null ],
    [ "The NetCDF-C Tutorial", "tutorial_8dox.html", "tutorial_8dox" ],
    [ "Internal Dispatch Table Architecture", "nc_dispatch.html", [
      [ "Adding a New Dispatch Table", "nc_dispatch.html#adding_dispatch", [
        [ "Defining configure.ac flags", "nc_dispatch.html#dispatch_configure_ac", null ],
        [ "Defining a \"name space\"", "nc_dispatch.html#dispatch_namespace", null ],
        [ "Extend include/netcdf.h", "nc_dispatch.html#dispatch_netcdf_h", null ],
        [ "Extend include/ncdispatch.h", "nc_dispatch.html#dispatch_ncdispatch", null ],
        [ "Define the dispatch table functions", "nc_dispatch.html#dispatch_define_code", null ],
        [ "Adding the dispatch code to libnetcdf", "nc_dispatch.html#dispatch_lib", null ],
        [ "Extend library initialization", "nc_dispatch.html#dispatch_init", null ]
      ] ],
      [ "Testing the new dispatch table", "nc_dispatch.html#dispatch_tests", null ],
      [ "Top-Level build of the dispatch code", "nc_dispatch.html#dispatch_toplevel", null ],
      [ "Choosing a Dispatch Table", "nc_dispatch.html#choosing_dispatch_table", null ],
      [ "Special Dispatch Table Signatures.", "nc_dispatch.html#special_dispatch", [
        [ "Create/Open", "nc_dispatch.html#create_open_dispatch", null ],
        [ "Accessing Data with put_vara() and get_vara()", "nc_dispatch.html#put_vara_dispatch", null ],
        [ "Accessing Attributes with put_attr() and get_attr()", "nc_dispatch.html#put_attr_dispatch", null ],
        [ "Pre-defined Dispatch Functions", "nc_dispatch.html#pre_def_dispatch", [
          [ "Inquiry Functions", "nc_dispatch.html#inquiry_functions", null ],
          [ "NCDEFAULT get/put Functions", "nc_dispatch.html#ncdefault_functions", null ],
          [ "Read-Only Functions", "nc_dispatch.html#read_only_functions", null ],
          [ "Classic NetCDF Only Functions", "nc_dispatch.html#classic_functions", null ]
        ] ]
      ] ],
      [ "HDF4 Dispatch Layer as a Simple Example", "nc_dispatch.html#dispatch_layer", [
        [ "Header File Changes in include Directory", "nc_dispatch.html#header_changes", [
          [ "The netcdf.h File", "nc_dispatch.html#netcdf_h_file", null ],
          [ "The ncdispatch.h File", "nc_dispatch.html#ncdispatch_h_file", null ],
          [ "The netcdf_meta.h File", "nc_dispatch.html#netcdf_meta_h_file", null ],
          [ "The hdf4dispatch.h File", "nc_dispatch.html#hdf4dispatch_h_file", null ]
        ] ],
        [ "Initialization Code Changes in liblib Directory", "nc_dispatch.html#liblib_init", null ],
        [ "Dispatch Code Changes in libdispatch Directory", "nc_dispatch.html#libdispatch_changes", [
          [ "Changes to dfile.c", "nc_dispatch.html#dfile_c_changes", null ]
        ] ],
        [ "Dispatch Code in libhdf4", "nc_dispatch.html#libhdf4_dispatch_code", [
          [ "Dispatch Table in hdf4dispatch.c", "nc_dispatch.html#hdf4dispatch_c_table", null ],
          [ "HDF4 Reading Code", "nc_dispatch.html#hdf4_reading_code", null ]
        ] ],
        [ "Inferring the Dispatch Table", "nc_dispatch.html#model_infer", null ]
      ] ]
    ] ],
    [ "Internal Architecture for NC_INMEMORY Support", "inmemintern.html", [
      [ "Introduction", "inmemintern.html#inmemintern_intro", null ],
      [ "Generic Capabilities", "inmemintern.html#inmemintern_general", null ],
      [ "NetCDF-4 Implementation", "inmemintern.html#inmemintern_nc4", [
        [ "libhdf5/nc4mem", "inmemintern.html#autotoc_md252", [
          [ "nc4mem.NC4_open_image_file", "inmemintern.html#autotoc_md253", null ],
          [ "nc4mem.NC4_create_image_file", "inmemintern.html#autotoc_md254", null ],
          [ "libhdf5/hdf5file.c/nc4_close-netcdf4_file", "inmemintern.html#autotoc_md255", null ]
        ] ],
        [ "libhdf5/nc4memcb", "inmemintern.html#autotoc_md256", [
          [ "libhdf5/nc4memcb/local_image_malloc", "inmemintern.html#autotoc_md257", [
            [ "Operator H5FD_FILE_IMAGE_OP_PROPERTY_LIST_SET", "inmemintern.html#autotoc_md258", null ],
            [ "Operator H5FD_FILE_IMAGE_OP_PROPERTY_LIST_COPY", "inmemintern.html#autotoc_md259", null ],
            [ "Operator H5FD_FILE_IMAGE_OP_PROPERTY_LIST_COPY and H5FD_FILE_IMAGE_OP_PROPERTY_LIST_GET", "inmemintern.html#autotoc_md260", null ],
            [ "Operator H5FD_FILE_IMAGE_OP_FILE_OPEN", "inmemintern.html#autotoc_md261", null ]
          ] ],
          [ "libhdf5/nc4memcb/local_image_memcpy", "inmemintern.html#autotoc_md262", null ],
          [ "libhdf5/nc4memcb/local_image_realloc", "inmemintern.html#autotoc_md263", null ],
          [ "libhdf5/nc4memcb/local_image_free", "inmemintern.html#autotoc_md264", [
            [ "Operator H5FD_FILE_IMAGE_OP_PROPERTY_LIST_CLOSE", "inmemintern.html#autotoc_md265", null ],
            [ "Operator H5FD_FILE_IMAGE_OP_FILE_CLOSE", "inmemintern.html#autotoc_md266", null ]
          ] ],
          [ "libhdf5/nc4memcb/local_udata_copy", "inmemintern.html#autotoc_md267", null ],
          [ "libhdf5/nc4memcb/local_udata_free", "inmemintern.html#autotoc_md268", null ]
        ] ]
      ] ],
      [ "NetCDF-3 Implementation", "inmemintern.html#inmemintern_nc3", [
        [ "Open/Create/Close", "inmemintern.html#autotoc_md269", [
          [ "memio_create", "inmemintern.html#autotoc_md270", null ],
          [ "memio_open", "inmemintern.html#autotoc_md271", null ],
          [ "memio_extract", "inmemintern.html#autotoc_md272", null ]
        ] ],
        [ "API Semantics", "inmemintern.html#autotoc_md273", [
          [ "ncio_relfunc", "inmemintern.html#autotoc_md274", null ],
          [ "ncio_getfunc", "inmemintern.html#autotoc_md275", null ],
          [ "ncio_movefunc", "inmemintern.html#autotoc_md276", null ],
          [ "ncio_syncfunc", "inmemintern.html#autotoc_md277", null ],
          [ "ncio_pad_lengthfunc", "inmemintern.html#autotoc_md278", null ],
          [ "ncio_filesizefunc", "inmemintern.html#autotoc_md279", null ],
          [ "ncio_closefunc", "inmemintern.html#autotoc_md280", null ]
        ] ]
      ] ],
      [ "References", "inmemintern.html#inmemintern_bib", null ],
      [ "Point of Contact", "inmemintern.html#inmemintern_poc", null ]
    ] ],
    [ "+ Indexed Access to Metadata Objects", "Hashed.html", [
      [ "Indexed Searches", "Hashed.html#Sindexed_searches", null ],
      [ "Basic Data Structures", "Hashed.html#Sbasic_data_structures", [
        [ "NClist", "Hashed.html#Snclist", null ],
        [ "NCexhashmap", "Hashed.html#Snc_exhashmap", null ],
        [ "NCxindex", "Hashed.html#Sncindex", null ]
      ] ],
      [ "Global Object Access", "Hashed.html#Sglobal_object_access", null ],
      [ "Per-Group Object Access", "Hashed.html#Sper_group_object_access", null ],
      [ "Metadata Object Header", "Hashed.html#Smetadata_object_header", null ],
      [ "Programming cliches", "Hashed.html#Scliches", [
        [ "Lookup an Object by Name", "Hashed.html#Slookupname", null ],
        [ "Lookup an Object by id", "Hashed.html#Slookupid", null ],
        [ "Iterating over sets of objects", "Hashed.html#Siterate", null ]
      ] ],
      [ "Performance", "Hashed.html#Sperf", null ],
      [ "Notes and Warning", "Hashed.html#Snotes_and_warnings", null ],
      [ "Contact Information", "Hashed.html#Sprovenance", null ]
    ] ],
    [ "Remote Test Server Setup", "remotesvc.html", [
      [ "Introduction", "remotesvc.html#remotesvc_intro", null ],
      [ "Tomcat Setup", "remotesvc.html#remotesvc_tomcat", null ],
      [ "Configuring Tomcat", "remotesvc.html#remotesvc_cfg", [
        [ "Configuring tomcat-users.xml", "remotesvc.html#remotesvc_tomcat_users", null ],
        [ "Configuring server.xml", "remotesvc.html#remotesvc_config_server_xml", null ]
      ] ],
      [ "Loading dts.war and d4ts.war", "remotesvc.html#remotesvc_load_war", null ],
      [ "Testing the Test Server", "remotesvc.html#remotesvc_testing", null ],
      [ "Building d4ts.war and dts.war", "remotesvc.html#remotesvc_buildservlets", null ],
      [ "Point of Contact", "remotesvc.html#remotesvc_poc", null ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "NetCDF Functions", "modules.html", "modules" ],
    [ "Data Structures", "annotated.html", "annotated" ],
    [ "Data Fields", "functions.html", [
      [ "All", "functions.html", null ],
      [ "Variables", "functions_vars.html", null ]
    ] ],
    [ "Files", "files.html", [
      [ "Source Files", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"Hashed.html",
"faq.html#How-many-releases-of-the-C-based-netCDF-software-are-supported",
"group__attributes.html#gad0bbaebe4b405f2649d5a1a4ca664bb1",
"group__user__types.html#gad809e6024ea3142d46caa92f06ca1e4d",
"group__variables.html#ga3ed9521b6f373bd8131b97bd427f68b6",
"group__variables.html#gad33212d59da221b6f528e300ea833106",
"nc4dispatch_8c_source.html",
"netcdf_8h.html#a20e2f08c6e2da258d4d41b09bc85a6cd",
"netcdf_8h.html#abf85b1d51402c54293258df485d8426f",
"sfc__pres__temp__wr_8c.html#a4175e77ba9d3293bb43d01175afceb5b"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';